
Foreman - Refactor #12914

update rails configuration files to match to 4.1 syntax

12/22/2015 07:59 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Rails   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2998

  

Description

various configuration files (config/*), default views (404,500.html etc) should be updated.

Related issues:

Related to Foreman - Tracker #3157: Rails 4.1 upgrade tasks Closed 09/27/2013

Related to Foreman - Bug #13050: Do not pass paths with /assets to helpers Closed 01/07/2016

Related to Foreman - Feature #13144: Enable assets.raise_runtime_errors in te... Closed 01/12/2016

Related to Foreman - Bug #13171: Plugins with /public/assets prevent Rails st... Closed 01/13/2016

Related to Foreman - Bug #14820: Log level from settings.yaml not applied to ... Closed 04/26/2016

Associated revisions

Revision 418e709d - 01/07/2016 10:39 AM - Ohad Levy

fixes #12914 - update configurations to rails 4.1 structure

this is a simple output after comparing the output of ```rails new foreman```

and updating accordingly.

History

#1 - 12/22/2015 08:00 AM - Ohad Levy

- Related to Tracker #3157: Rails 4.1 upgrade tasks added

#2 - 12/22/2015 08:25 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2998 added

#3 - 01/07/2016 10:41 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#4 - 01/07/2016 11:02 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 418e709df58c4114ddf77fc88aed8da31f1e63ff.

#5 - 01/08/2016 04:57 AM - Dominic Cleal

- Related to Bug #13050: Do not pass paths with /assets to helpers added

#6 - 01/12/2016 09:42 AM - Dominic Cleal

- Related to Feature #13144: Enable assets.raise_runtime_errors in test environment added
#7 - 01/13/2016 04:12 AM - Dominic Cleal

- Related to Bug #13171: Plugins with /public/assets prevent Rails starting in development environment added

#8 - 04/28/2016 05:12 AM - Dominic Cleal

- Related to Bug #14820: Log level from settings.yaml not applied to app logger added

Powered by TCPDF (www.tcpdf.org)

05/18/2024 2/2

http://www.tcpdf.org

